#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>

using namespace std;

int brojCifara(int x) {
    int br = 0;
    while(x > 0) {
        br++;
        x = x / 10;
    }
    return br;
}

int ukupno(int x, int y, int z) {
    return (x * pow(10, brojCifara(y)) + y) * pow(10, brojCifara(z)) + z;
}

int main() {
    int a, b, c;
    cin >> a;
    cin >> b;
    cin >> c;
    vector<int> v1 = vector<int>({a, b, c});
    vector<int> v2 = vector<int>(6);
    int max = 0;
    v2[0] = ukupno(a, b, c);
    v2[1] = ukupno(a, c, b);
    v2[2] = ukupno(b, a, c);
    v2[3] = ukupno(b, c, a);
    v2[4] = ukupno(c, a, b);
    v2[5] = ukupno(c, b, a);
    
    for(int i = 0; i < v2.size(); i++) {
        if (v2[i] > max)
            max = v2[i];
    }
    
    cout << max << endl;
}